Bug 1610231 - Review Request: perl-Sub-Delete - Perl module to delete subroutines
Summary: Review Request: perl-Sub-Delete - Perl module to delete subroutines
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-31 09:19 UTC by Andrea Veri
Modified: 2018-08-17 14:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-11 18:38:28 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Andrea Veri 2018-07-31 09:19:39 UTC
Spec URL: https://fedorapeople.org/~averi/RPMs/perl-Sub-Delete/perl-Sub-Delete.spec

SRPM URL: https://fedorapeople.org/~averi/RPMs/perl-Sub-Delete/perl-Sub-Delete-1.00002-1.el7.noarch.rpm

Description: Sub::Delete provides one function, delete_sub, that deletes the
subroutine whose name is passed to it. (To load the module without
importing the function, write use Sub::Delete();.)

This does more than simply undefine the subroutine in the manner of
undef &foo, which leaves a stub that can trigger AUTOLOAD (and,
consequently, won't work for deleting methods). The subroutine is
completely obliterated from the symbol table (though there may be
references to it elsewhere, including in compiled code).

Fedora Account System Username: averi

Comment 1 Robert-André Mauchin 2018-07-31 15:31:56 UTC
URL and Source addresses are Ok.
Source archive (SHA-256: 4435a70b01a80d6e91dd3749f29734cf2c36207e7aeb537d8c96d231fe2951ee) is original. Ok.
Summary verified from lib/Sub/Delete.pm. Ok.
Description verified from lib/Sub/Delete.pm. Ok.
License verified from lib/Sub/Delete.pm and README. Ok.
No XS code, noarch BuildArch is Ok.

All tests pass. Ok.

$ rpmlint perl-Sub-Delete.spec review-perl-Sub-Delete/results/perl-Sub-Delete-1.00002-1.fc29.noarch.rpm review-perl-Sub-Delete/results/perl-Sub-Delete-1.00002-1.fc29.src.rpm 
perl-Sub-Delete.noarch: W: spelling-error %description -l en_US undefine -> undefined, defined, define
perl-Sub-Delete.noarch: W: spelling-error %description -l en_US undef -> unfed, under, funded
perl-Sub-Delete.src: W: spelling-error %description -l en_US undefine -> undefined, defined, define
perl-Sub-Delete.src: W: spelling-error %description -l en_US undef -> unfed, under, funded
2 packages and 1 specfiles checked; 0 errors, 4 warnings.


$ rpm -q -lv -p perl-Sub-Delete-1.00002-1.fc29.noarch.rpm 
drwxr-xr-x    2 root    root                        0 juil. 31 17:15 /usr/share/doc/perl-Sub-Delete
-rw-r--r--    1 root    root                     1183 avril 15  2010 /usr/share/doc/perl-Sub-Delete/Changes
-rw-r--r--    1 root    root                     2181 juil. 31 17:15 /usr/share/man/man3/Sub::Delete.3pm.gz
drwxr-xr-x    2 root    root                        0 juil. 31 17:15 /usr/share/perl5/vendor_perl/Sub
-rw-r--r--    1 root    root                     3791 avril 13  2010 /usr/share/perl5/vendor_perl/Sub/Delete.pm
File permissions and layout are Ok.

$ rpm -q --requires -p perl-Sub-Delete-1.00002-1.fc29.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.28.0)
      1 perl(:VERSION) >= 5.8.3
      1 perl(constant)
      1 perl(Exporter) >= 5.57
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p perl-Sub-Delete-1.00002-1.fc29.noarch.rpm
perl(Sub::Delete) = 1.00002
perl-Sub-Delete = 1.00002-1.fc29
Binary provides are Ok.


Package builds in F29 (https://koji.fedoraproject.org/koji/taskinfo?taskID=28740994)
Ok

The package is in line with Fedora and Perl packaging guidelines.

Resolution: Package approved.

Comment 2 Gwyn Ciesla 2018-07-31 17:41:33 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Sub-Delete

Comment 3 Fedora Update System 2018-08-01 09:01:13 UTC
perl-Sub-Delete-1.00002-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-51423b670c

Comment 4 Fedora Update System 2018-08-01 09:01:24 UTC
perl-Sub-Delete-1.00002-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9ff88ce42d

Comment 5 Fedora Update System 2018-08-01 09:01:29 UTC
perl-Sub-Delete-1.00002-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-175dd75ca2

Comment 6 Fedora Update System 2018-08-01 15:44:33 UTC
perl-Sub-Delete-1.00002-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-175dd75ca2

Comment 7 Fedora Update System 2018-08-01 18:26:02 UTC
perl-Sub-Delete-1.00002-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9ff88ce42d

Comment 8 Fedora Update System 2018-08-01 18:30:07 UTC
perl-Sub-Delete-1.00002-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-51423b670c

Comment 9 Fedora Update System 2018-08-11 18:38:28 UTC
perl-Sub-Delete-1.00002-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-08-11 19:09:42 UTC
perl-Sub-Delete-1.00002-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-08-17 14:12:15 UTC
perl-Sub-Delete-1.00002-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.